package kernel;

import kernel.log.Log;

class Entrypoint {
	public static function main() {
		try {
			Init.initKernel();
		}catch(e){
			Log.error('Error in init: ${e.toString()}');
			return;
		}

		try {
			Startup.main();
		}catch(e){
			Log.error('Error in startup: ${e.toString()}');
		}
	}
}
